# Copyright 1999-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

inherit exteutils

RESTRICT="nomirror"
DESCRIPTION="A command line JACK app generating white and pink gaussian noise"
HOMEPAGE="http://www.kokkinizita.net/linuxaudio"
SRC_URI="http://www.kokkinizita.net/linuxaudio/downloads/${P}.tar.bz2"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~x86 ~amd64"
IUSE=""

DEPEND=">=media-sound/jack-audio-connection-kit-0.100"

src_compile() {
	cd jnoise
	emake || die "make failed"
}

src_install() {
	cd jnoise
	emake DESTDIR="${D}" install || die "install failed"
	dodoc AUTHORS COPYING README
}
